### Signal

# SpiceClientGLib PlaybackChannel::playback-start

#### Declaration

    void
    playback_start (
      SpicePlaybackChannel* self,
      gint format,
      gint channels,
      gint rate,
      gpointer user_data
    )

#### Description [src]

Notify when the playback should start, and provide audio format characteristics.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`format`

  Type: `gint`

  A #SPICE_AUDIO_FMT.

`channels`

  Type: `gint`

  Number of channels.

`rate`

  Type: `gint`

  Audio rate.